export default plane;
export type PlaneOptions = {
    sx?: number;
    sy?: number;
    nx?: number;
    ny?: number;
};
/**
 * @typedef {Object} PlaneOptions
 * @property {number} [sx=1]
 * @property {number} [sy=sx]
 * @property {number} [nx=1]
 * @property {number} [ny=nx]
 */
/**
 * @alias module:plane
 * @param {PlaneOptions} [options={}]
 * @returns {import("../types.js").SimplicialComplex}
 */
declare function plane({ sx, sy, nx, ny }?: PlaneOptions, ...args: any[]): import("../types.js").SimplicialComplex;
